सामग्री पर जाएँ

Krea Wan 14b- Text to Video

इंटीग्रेट करें

मॉडल id krea-wan-14b/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/krea-wan-14b/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.122 122 API क्रेडिट चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

18 से 162 फ़्रेम तक फ़्रेम-गणना नियंत्रण वाला Krea Wan 14b टेक्स्ट-टू-वीडियो

Krea · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

वीडियो-से-वीडियो निर्माण को निर्देशित करने वाला प्रॉम्प्ट।

डिफ़ॉल्ट 78

आउटपुट फ़्रेम संख्या, जो किसी पूर्णांक के 12 गुना और 6 तक सीमित है; उदाहरणों में 6, 18, 30 और 42 शामिल हैं।

उन्नत seed · enable_prompt_expansion · enable_safety_checker

वीडियो-से-वीडियो निर्माण में उपयोग किया गया सीड मान।

POST /run/krea-wan-14b/text-to-video?wait=20 कोटेशन → $0.122
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/krea-wan-14b/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Krea Wan 14b- Text to Video के बारे में

टेक्स्ट `prompt` से वीडियो क्लिप बनाता है। `num_frames` 18 से 162 तक चलता है, डिफ़ॉल्ट 78 है और 12 के गुणज में 6 जोड़ने के बराबर होना चाहिए। वैकल्पिक `enable_prompt_expansion` प्रॉम्प्ट को समृद्ध करता है और `seed` रन को दोहराने योग्य बनाता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
वीडियो-से-वीडियो निर्माण को निर्देशित करने वाला प्रॉम्प्ट।
num_framesवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट78
18 – 162
आउटपुट फ़्रेम संख्या, जो किसी पूर्णांक के 12 गुना और 6 तक सीमित है; उदाहरणों में 6, 18, 30 और 42 शामिल हैं।
enable_prompt_expansionवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
बड़े भाषा मॉडल को विवरणों के साथ प्रॉम्प्ट समृद्ध करने दें। इस विस्तार को सक्षम करने पर प्रॉम्प्ट का अर्थ अपरिवर्तित रहता है।
seedवैकल्पिक
प्रकारinteger | null
वीडियो-से-वीडियो निर्माण में उपयोग किया गया सीड मान।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "krea-wan-14b/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 122,
    "usd": "0.122",
    "charged": 122,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}निर्माण से तैयार की गई वीडियो फ़ाइल।

और मॉडल: टेक्स्ट से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/krea-wan-14b/text-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt